Freeciv-3.2: tileset Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Data Fields
tileset Struct Reference

## Data Structures

struct | tileset_layer

## Data Fields

char | name [512]
char | given_name [MAX_LEN_NAME]
char | version [MAX_LEN_NAME]
int | priority
char * | summary
char * | description
float | scale
char * | for_ruleset
enum mapview_layer | layer_order [LAYER_COUNT]
enum ts_type | type
int | hex_width
int | hex_height
int | ts_topo_idx
int | normal_tile_width
int | normal_tile_height
int | full_tile_width
int | full_tile_height
int | unit_tile_width
int | unit_tile_height
int | small_sprite_width
int | small_sprite_height
int | max_upkeep_height
int | svg_height
char * | main_intro_filename
enum direction8 | unit_default_orientation
enum fog_style | fogstyle
enum darkness_style | darkness_style
int | unit_flag_offset_x
int | unit_flag_offset_y
int | city_flag_offset_x
int | city_flag_offset_y
int | unit_offset_x
int | unit_offset_y
int | city_offset_x
int | city_offset_y
int | city_size_offset_x
int | city_size_offset_y
int | citybar_offset_y
int | tilelabel_offset_y
int | activity_offset_x
int | activity_offset_y
int | select_offset_x
int | select_offset_y
int | stack_size_offset_x
int | stack_size_offset_y
int | occupied_offset_x
int | occupied_offset_y
int | unit_upkeep_offset_y
int | unit_upkeep_small_offset_y
int | num_valid_tileset_dirs
int | num_cardinal_tileset_dirs
int | num_index_valid
int | num_index_cardinal
enum direction8 | valid_tileset_dirs [8]
enum direction8 | cardinal_tileset_dirs [8]
struct tileset::tileset_layer | layers [MAX_NUM_LAYERS]
struct specfile_list * | specfiles
struct small_sprite_list * | small_sprites
struct sprite_hash * | sprite_hash
struct drawing_hash * | tile_hash
struct estyle_hash * | estyle_hash
struct named_sprites | sprites
struct color_system * | color_system
struct extra_type_list * | style_lists [ESTYLE_COUNT]
struct extra_type_list * | flagged_bases_list
int | num_preferred_themes
char ** | preferred_themes

## Detailed Description

Definition at line 481 of file tilespec.c.

## Field Documentation

## ◆ activity_offset_x

int tileset::activity_offset_x

Definition at line 522 of file tilespec.c.

Referenced by fill_sprite_array(), fill_unit_sprite_array(), and tileset_read_toplevel().

## ◆ activity_offset_y

int tileset::activity_offset_y

Definition at line 523 of file tilespec.c.

Referenced by fill_sprite_array(), fill_unit_sprite_array(), and tileset_read_toplevel().

## ◆ cardinal_tileset_dirs

enum direction8 tileset::cardinal_tileset_dirs[8]

Definition at line 537 of file tilespec.c.

Referenced by cardinal_index_str(), fill_sprite_array(), fill_terrain_sprite_array(), fill_terrain_sprite_darkness(), get_irrigation_index(), load_river_sprites(), tileset_lookup_sprite_tags(), and tileset_read_toplevel().

## ◆ city_flag_offset_x

int tileset::city_flag_offset_x

Definition at line 515 of file tilespec.c.

Referenced by fill_sprite_array(), and tileset_read_toplevel().

## ◆ city_flag_offset_y

int tileset::city_flag_offset_y

Definition at line 515 of file tilespec.c.

Referenced by fill_sprite_array(), and tileset_read_toplevel().

## ◆ city_offset_x

int tileset::city_offset_x

Definition at line 517 of file tilespec.c.

Referenced by fill_sprite_array(), and tileset_read_toplevel().

## ◆ city_offset_y

int tileset::city_offset_y

Definition at line 517 of file tilespec.c.

Referenced by fill_sprite_array(), and tileset_read_toplevel().

## ◆ city_size_offset_x

int tileset::city_size_offset_x

Definition at line 518 of file tilespec.c.

Referenced by fill_sprite_array(), and tileset_read_toplevel().

## ◆ city_size_offset_y

int tileset::city_size_offset_y

Definition at line 518 of file tilespec.c.

Referenced by fill_sprite_array(), and tileset_read_toplevel().

## ◆ citybar_offset_y

int tileset::citybar_offset_y

Definition at line 520 of file tilespec.c.

Referenced by tileset_citybar_offset_y(), and tileset_read_toplevel().

## ◆ color_system

struct color_system* tileset::color_system

Definition at line 557 of file tilespec.c.

Referenced by get_color_system(), tileset_free_toplevel(), and tileset_read_toplevel().

## ◆ darkness_style

enum darkness_style tileset::darkness_style

Definition at line 512 of file tilespec.c.

Referenced by fill_fog_sprite_array(), fill_terrain_sprite_darkness(), tileset_lookup_sprite_tags(), and tileset_read_toplevel().

## ◆ description

char* tileset::description

Definition at line 488 of file tilespec.c.

Referenced by tileset_description(), tileset_free_toplevel(), and tileset_read_toplevel().

## ◆ estyle_hash

struct estyle_hash* tileset::estyle_hash

Definition at line 553 of file tilespec.c.

Referenced by tileset_free_toplevel(), tileset_read_toplevel(), and tileset_setup_extra().

## ◆ flagged_bases_list

struct extra_type_list* tileset::flagged_bases_list

Definition at line 561 of file tilespec.c.

Referenced by fill_sprite_array(), tileset_free_toplevel(), tileset_read_toplevel(), tileset_ruleset_reset(), and tileset_setup_extra().

## ◆ fogstyle

enum fog_style tileset::fogstyle

Definition at line 511 of file tilespec.c.

Referenced by fill_fog_sprite_array(), tileset_read_toplevel(), and tileset_use_hard_coded_fog().

## ◆ for_ruleset

char* tileset::for_ruleset

Definition at line 491 of file tilespec.c.

Referenced by tileset_free_toplevel(), tileset_read_toplevel(), and tileset_what_ruleset().

## ◆ full_tile_height

int tileset::full_tile_height

Definition at line 500 of file tilespec.c.

Referenced by create_plr_sprite(), tileset_full_tile_height(), and tileset_read_toplevel().

## ◆ full_tile_width

int tileset::full_tile_width

Definition at line 500 of file tilespec.c.

Referenced by create_plr_sprite(), tileset_full_tile_width(), and tileset_read_toplevel().

## ◆ given_name

char tileset::given_name[MAX_LEN_NAME]

Definition at line 483 of file tilespec.c.

Referenced by tileset_name_get(), and tileset_read_toplevel().

## ◆ hex_height

int tileset::hex_height

Definition at line 496 of file tilespec.c.

Referenced by is_cardinal_tileset_dir(), is_valid_tileset_dir(), tileset_hex_height(), tileset_lookup_sprite_tags(), and tileset_read_toplevel().

## ◆ hex_width

int tileset::hex_width

Definition at line 496 of file tilespec.c.

Referenced by is_cardinal_tileset_dir(), is_valid_tileset_dir(), tileset_hex_width(), tileset_lookup_sprite_tags(), and tileset_read_toplevel().

## ◆ layer_order

enum mapview_layer tileset::layer_order[LAYER_COUNT]

Definition at line 493 of file tilespec.c.

Referenced by tileset_get_layer(), and tileset_read_toplevel().

## ◆ layers

struct tileset::tileset_layer tileset::layers[MAX_NUM_LAYERS]

Referenced by tileset_free_toplevel(), tileset_read_toplevel(), and tileset_setup_tile_type().

## ◆ main_intro_filename

char* tileset::main_intro_filename

Definition at line 507 of file tilespec.c.

Referenced by tileset_free_toplevel(), tileset_main_intro_filename(), and tileset_read_toplevel().

## ◆ max_upkeep_height

int tileset::max_upkeep_height

Definition at line 504 of file tilespec.c.

Referenced by tileset_init(), tileset_lookup_sprite_tags(), and tileset_upkeep_height().

## ◆ name

char tileset::name[512]

Definition at line 482 of file tilespec.c.

Referenced by fill_goto_sprite_array(), fill_sprite_array(), tileset_basename(), tileset_read_toplevel(), tilespec_reread(), and tilespec_try_read().

## ◆ normal_tile_height

int tileset::normal_tile_height

Definition at line 499 of file tilespec.c.

Referenced by fill_city_overlays_sprite_array(), fill_terrain_sprite_array(), fill_terrain_sprite_blending(), fill_terrain_sprite_darkness(), tileset_background_init(), tileset_lookup_sprite_tags(), tileset_player_init(), tileset_read_toplevel(), tileset_setup_tile_type(), and tileset_tile_height().

## ◆ normal_tile_width

int tileset::normal_tile_width

Definition at line 499 of file tilespec.c.

Referenced by fill_city_overlays_sprite_array(), fill_terrain_sprite_array(), fill_terrain_sprite_blending(), fill_terrain_sprite_darkness(), tileset_background_init(), tileset_lookup_sprite_tags(), tileset_player_init(), tileset_read_toplevel(), tileset_setup_tile_type(), and tileset_tile_width().

## ◆ num_cardinal_tileset_dirs

int tileset::num_cardinal_tileset_dirs

Definition at line 535 of file tilespec.c.

Referenced by cardinal_index_str(), fill_sprite_array(), fill_terrain_sprite_array(), fill_terrain_sprite_darkness(), get_irrigation_index(), load_river_sprites(), tileset_lookup_sprite_tags(), and tileset_read_toplevel().

## ◆ num_index_cardinal

int tileset::num_index_cardinal

Definition at line 536 of file tilespec.c.

Referenced by load_river_sprites(), tileset_lookup_sprite_tags(), tileset_read_toplevel(), tileset_setup_extra(), and tileset_setup_tile_type().

## ◆ num_index_valid

int tileset::num_index_valid

Definition at line 536 of file tilespec.c.

Referenced by tileset_read_toplevel(), and tileset_setup_road().

## ◆ num_preferred_themes

int tileset::num_preferred_themes

Definition at line 563 of file tilespec.c.

Referenced by tileset_free_toplevel(), tileset_read_toplevel(), and tileset_use_preferred_theme().

## ◆ num_valid_tileset_dirs

int tileset::num_valid_tileset_dirs

Definition at line 535 of file tilespec.c.

Referenced by fill_basic_road_sprite_array(), fill_road_corner_sprites(), fill_road_sprite_array(), tileset_read_toplevel(), tileset_setup_road(), and valid_index_str().

## ◆ occupied_offset_x

int tileset::occupied_offset_x

Definition at line 528 of file tilespec.c.

Referenced by fill_sprite_array(), and tileset_read_toplevel().

## ◆ occupied_offset_y

int tileset::occupied_offset_y

Definition at line 529 of file tilespec.c.

Referenced by fill_sprite_array(), and tileset_read_toplevel().

## ◆ preferred_themes

char** tileset::preferred_themes

Definition at line 564 of file tilespec.c.

Referenced by tileset_free_toplevel(), tileset_read_toplevel(), and tileset_use_preferred_theme().

## ◆ priority

int tileset::priority

Definition at line 485 of file tilespec.c.

Referenced by tileset_read_toplevel(), and tilespec_try_read().

## ◆ scale

float tileset::scale

Definition at line 489 of file tilespec.c.

Referenced by create_plr_sprite(), load_sprite(), tileset_background_init(), tileset_player_init(), tileset_read_toplevel(), tileset_scale(), and tilespec_reread().

## ◆ select_offset_x

int tileset::select_offset_x

Definition at line 524 of file tilespec.c.

Referenced by fill_sprite_array(), and tileset_read_toplevel().

## ◆ select_offset_y

int tileset::select_offset_y

Definition at line 525 of file tilespec.c.

Referenced by fill_sprite_array(), and tileset_read_toplevel().

## ◆ small_sprite_height

int tileset::small_sprite_height

Definition at line 502 of file tilespec.c.

Referenced by tileset_read_toplevel(), and tileset_small_sprite_height().

## ◆ small_sprite_width

int tileset::small_sprite_width

Definition at line 502 of file tilespec.c.

Referenced by tileset_read_toplevel(), and tileset_small_sprite_width().

## ◆ small_sprites

struct small_sprite_list* tileset::small_sprites

Definition at line 545 of file tilespec.c.

Referenced by scan_specfile(), tileset_free(), tileset_free_tiles(), and tileset_new().

## ◆ specfiles

struct specfile_list* tileset::specfiles

Definition at line 544 of file tilespec.c.

Referenced by finish_loading_sprites(), tileset_free(), tileset_free_tiles(), tileset_new(), and tileset_scan_single_list().

## ◆ sprite_hash

struct sprite_hash* tileset::sprite_hash

Definition at line 548 of file tilespec.c.

Referenced by load_sprite(), scan_specfile(), sprite_exists(), tiles_lookup_sprite_tag_alt(), tileset_free_tiles(), tileset_lookup_sprite_tags(), tileset_read_toplevel(), unload_all_sprites(), and unload_sprite().

## ◆ sprites

struct named_sprites tileset::sprites

Definition at line 555 of file tilespec.c.

Referenced by calculate_max_upkeep_height(), fill_basic_base_sprite_array(), fill_basic_extra_sprite_array(), fill_basic_road_sprite_array(), fill_basic_terrain_layer_sprite_array(), fill_city_overlays_sprite_array(), fill_fog_sprite_array(), fill_goto_sprite_array(), fill_grid_sprite_array(), fill_irrigation_sprite_array(), fill_road_corner_sprites(), fill_road_sprite_array(), fill_sprite_array(), fill_terrain_sprite_blending(), fill_terrain_sprite_darkness(), fill_terrain_sprite_layer(), fill_unit_sprite_array(), focus_unit_in_combat(), get_arrow_sprite(), get_attention_crosshair_sprite(), get_basic_fog_sprite(), get_building_sprite(), get_citizen_sprite(), get_citybar_sprites(), get_cursor_sprite(), get_drawable_unit(), get_editor_sprites(), get_event_sprite(), get_focus_unit_toggle_timeout(), get_government_sprite(), get_icon_sprite(), get_indicator_sprite(), get_nation_flag_sprite(), get_nation_shield_sprite(), get_nuke_explode_sprite(), get_sample_city_sprite(), get_spaceship_sprite(), get_tax_sprite(), get_tech_sprite(), get_treaty_thumb_sprite(), get_unit_explode_animation(), get_unit_nation_flag_sprite(), get_unit_unhappy_sprite(), get_unit_upkeep_sprite(), get_unittype_sprite(), tileset_background_free(), tileset_background_init(), tileset_free(), tileset_free_tiles(), tileset_init(), tileset_lookup_sprite_tags(), tileset_num_city_colors(), tileset_player_free(), tileset_player_init(), tileset_ruleset_reset(), tileset_setup_base(), tileset_setup_citizen_types_default_set(), tileset_setup_city_tiles(), tileset_setup_extra(), tileset_setup_government(), tileset_setup_impr_type(), tileset_setup_nation_flag(), tileset_setup_road(), tileset_setup_specialist_type_default_set(), tileset_setup_tech_type(), tileset_setup_tile_type(), tileset_setup_unit_direction(), tileset_setup_unit_type(), tileset_setup_unit_type_from_tag(), tilespec_reread(), and toggle_focus_unit_state().

## ◆ stack_size_offset_x

int tileset::stack_size_offset_x

Definition at line 526 of file tilespec.c.

Referenced by fill_unit_sprite_array(), and tileset_read_toplevel().

## ◆ stack_size_offset_y

int tileset::stack_size_offset_y

Definition at line 527 of file tilespec.c.

Referenced by fill_unit_sprite_array(), and tileset_read_toplevel().

## ◆ style_lists

struct extra_type_list* tileset::style_lists[ESTYLE_COUNT]

Definition at line 559 of file tilespec.c.

Referenced by fill_irrigation_sprite_array(), fill_sprite_array(), tileset_free_toplevel(), tileset_read_toplevel(), tileset_ruleset_reset(), and tileset_setup_extra().

## ◆ summary

char* tileset::summary

Definition at line 487 of file tilespec.c.

Referenced by tileset_free_toplevel(), tileset_read_toplevel(), and tileset_summary().

## ◆ svg_height

int tileset::svg_height

Definition at line 505 of file tilespec.c.

Referenced by tileset_read_toplevel(), and tileset_svg_flag_height().

## ◆ tile_hash

struct drawing_hash* tileset::tile_hash

Definition at line 551 of file tilespec.c.

Referenced by tileset_free_toplevel(), tileset_read_toplevel(), and tileset_setup_tile_type().

## ◆ tilelabel_offset_y

int tileset::tilelabel_offset_y

Definition at line 521 of file tilespec.c.

Referenced by tileset_read_toplevel(), and tileset_tilelabel_offset_y().

## ◆ ts_topo_idx

int tileset::ts_topo_idx

Definition at line 497 of file tilespec.c.

Referenced by tileset_read_toplevel(), and tileset_topo_index().

## ◆ type

enum ts_type tileset::type

Definition at line 495 of file tilespec.c.

Referenced by fill_city_overlays_sprite_array(), fill_sprite_array(), fill_terrain_sprite_array(), tileset_is_isometric(), tileset_lookup_sprite_tags(), and tileset_read_toplevel().

## ◆ unit_default_orientation

enum direction8 tileset::unit_default_orientation

Definition at line 509 of file tilespec.c.

Referenced by get_unittype_sprite(), tileset_read_toplevel(), tileset_setup_unit_direction(), and tileset_setup_unit_type().

## ◆ unit_flag_offset_x

int tileset::unit_flag_offset_x

Definition at line 514 of file tilespec.c.

Referenced by fill_unit_sprite_array(), and tileset_read_toplevel().

## ◆ unit_flag_offset_y

int tileset::unit_flag_offset_y

Definition at line 514 of file tilespec.c.

Referenced by fill_unit_sprite_array(), and tileset_read_toplevel().

## ◆ unit_offset_x

int tileset::unit_offset_x

Definition at line 516 of file tilespec.c.

Referenced by fill_unit_type_sprite_array(), and tileset_read_toplevel().

## ◆ unit_offset_y

int tileset::unit_offset_y

Definition at line 516 of file tilespec.c.

Referenced by fill_unit_type_sprite_array(), and tileset_read_toplevel().

## ◆ unit_tile_height

int tileset::unit_tile_height

Definition at line 501 of file tilespec.c.

Referenced by tileset_read_toplevel(), and tileset_unit_height().

## ◆ unit_tile_width

int tileset::unit_tile_width

Definition at line 501 of file tilespec.c.

Referenced by tileset_read_toplevel(), and tileset_unit_width().

## ◆ unit_upkeep_offset_y

int tileset::unit_upkeep_offset_y

Definition at line 530 of file tilespec.c.

Referenced by tileset_read_toplevel(), and tileset_unit_layout_offset_y().

## ◆ unit_upkeep_small_offset_y

int tileset::unit_upkeep_small_offset_y

Definition at line 531 of file tilespec.c.

Referenced by tileset_read_toplevel(), and tileset_unit_layout_small_offset_y().

## ◆ valid_tileset_dirs

enum direction8 tileset::valid_tileset_dirs[8]

Definition at line 537 of file tilespec.c.

Referenced by fill_basic_road_sprite_array(), fill_road_corner_sprites(), fill_road_sprite_array(), tileset_read_toplevel(), tileset_setup_road(), and valid_index_str().

## ◆ version

char tileset::version[MAX_LEN_NAME]

Definition at line 484 of file tilespec.c.

Referenced by tileset_read_toplevel(), and tileset_version().